This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 107610 - memtest86 RPM creates /usr/share/doc/memtest86-3.0 with incorrect permissions
memtest86 RPM creates /usr/share/doc/memtest86-3.0 with incorrect permissions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: memtest86 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-21 03:21 EDT by Andreas Luik
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-21 10:58:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Luik 2003-10-21 03:21:27 EDT
Description of problem:
The memtest86-3.0-1.i386.rpm specifies the directory
/usr/share/doc/memtest86-3.0 to have 0644 permissions, instead of 0755. 
Therefore, non-root users cannot access the documentation files in
/usr/share/doc/memtest86-3.0 after installation.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. rpm -i memtest86-3.0-1.i386.rpm
2. ls -ld /usr/share/doc/memtest86-3.0
    
Actual results:
drw-r--r--    2 root     root         4096 Oct 21 09:20
/usr/share/doc/memtest86-3.0


Expected results:
drwxr-xr-x    2 root     root         4096 Oct 21 09:20
/usr/share/doc/memtest86-3.0


Additional info:
Comment 1 Jeremy Katz 2003-10-21 10:58:44 EDT
Fixed in -2

Note You need to log in before you can comment on or make changes to this bug.